---
type: api
title: Release an isolated endpoint
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-endpointunisolateaction
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-endpointunisolateaction
products:
  - Kibana
---

# Release an isolated endpoint

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/endpoint/action/unisolate`
- `POST` `/s/{space_id}/api/endpoint/action/unisolate`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Release an isolated endpoint, allowing it to rejoin a network.

## Request Body

`application/json`

- `agent_type` (enum) — optional
  List of agent types to retrieve. Defaults to `endpoint`.
  Values: `endpoint`, `sentinel_one`, `crowdstrike`, `microsoft_defender_endpoint`
- `alert_ids` ([] object · min: 1) — optional
  A list of alerts ids.
- `case_ids` ([] object · min: 1) — optional
  Case IDs to be updated (cannot contain empty strings)
- `comment` (string) — optional
  Optional comment
- `endpoint_ids` ([] object · min: 1) — required
  List of endpoint IDs (cannot contain empty strings)
- `parameters` (object) — optional
  Optional parameters object

## Response

OK

`application/json`

Type: `object`

## Code Examples

#### Console

```console
POST /api/endpoint/action/unisolate
{
  "comment": "Benign process identified, releasing group",
  "endpoint_ids": [
    "9972d10e-4b9e-41aa-a534-a85e2a28ea42",
    "bc0e4f0c-3bca-4633-9fee-156c0b505d16",
    "fa89271b-b9d4-43f2-a684-307cffddeb5a"
  ]
}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/endpoint/action/unisolate" \
  -H "Content-Type: application/json" \
  -d '{
  "comment": "Benign process identified, releasing group",
  "endpoint_ids": [
    "9972d10e-4b9e-41aa-a534-a85e2a28ea42",
    "bc0e4f0c-3bca-4633-9fee-156c0b505d16",
    "fa89271b-b9d4-43f2-a684-307cffddeb5a"
  ]
}'
```

